Bug 640762 - Groups - dynagroup: Flipping the Recursive toggle sets in the UI but does not actually get applied to group.
Groups - dynagroup: Flipping the Recursive toggle sets in the UI but does no...
Status: CLOSED NOTABUG
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
unspecified
All Linux
low Severity medium (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Mike Foley
:
Depends On:
Blocks: rhq4 gwt-groups
  Show dependency treegraph
 
Reported: 2010-10-06 14:57 EDT by Corey Welton
Modified: 2011-05-26 09:23 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-26 09:23:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Corey Welton 2010-10-06 14:57:33 EDT
Description of problem:
User can set and re-set the Recursive bit on a dynagroup, and it remains set correctly in UI, but it does not actually get applied to the group.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.  Create and populate a dynagroup, "Test Dynagroup".  Assure it is NOT Recursive; use the following Expression:

resource.type.plugin = Platforms
resource.type.name = Linux
  
2. Recalculate your dynagroup
3. Inventory > Dynagroup Manager > double-click "Test Dynagroup" to edit.  
4. View value currently set for the Recursive bit; flip it; save.  
5. Inventory > Compatible Groups > "Test Dynagroup" - View the value for "Recursive?:" field.
6. Repeat steps 3-5 multiple times.

  
Actual results:
Each time we go to set the Recursive bit, we can change it, and subsequent returns to the edit page indicate that the value is being saved.  However, the compatible group view for the dynagroup never changes, it always reads "Recursive? : no"  (or quite possibly "yes" if that's the way you set it initially.)

Expected results:
Flipping the bit is correctly reflected in the compatible group view for the dynagroup.

Additional info:
Comment 1 Jay Shaughnessy 2011-02-17 14:52:19 EST
I think the idea is that you need to save the group def recursive flag but then you need to recalculate the groups.  Doing this seems to work.
Comment 2 Mike Foley 2011-05-26 09:23:54 EDT
reviewed Dynagroups.  I can see why the bug was logged (sort of a usability induced confusion over expectations) ... and I understand jshaughn's response as well.  no code change here, so nothing to verify.  there is the "save and recalculate" button clearly labelled ... eh ... if i can think of some way to make the UI's intentions more clear i will advocate for it, but will close this bug for now as no code change.

Note You need to log in before you can comment on or make changes to this bug.